"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
const service_2 = require("../service");
class Compose extends command_1.Command {
    async run() {
        const { flags } = this.parse(Compose);
        service_1.BootstrapUtils.showBanner();
        await new service_2.BootstrapService(this.config.root).compose(flags);
    }
}
exports.default = Compose;
Compose.description = 'It generates the docker-compose.yml file from the configured network.';
Compose.examples = [`$ symbol-bootstrap compose`];
Compose.flags = {
    help: command_1.flags.help({ char: 'h', description: 'It shows the help of this command.' }),
    target: command_1.flags.string({
        char: 't',
        description: 'the target folder',
        default: service_1.ConfigService.defaultParams.target,
    }),
    user: command_1.flags.string({
        char: 'u',
        description: 'User used to run the services in the docker-compose.yml file. "current" means the current user.',
        default: 'current',
    }),
};
