"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const service_1 = require("../service");
const config_1 = require("./config");
const compose_1 = require("./compose");
const run_1 = require("./run");
const clean_1 = require("./clean");
class Start extends command_1.Command {
    async run() {
        const { flags } = this.parse(Start);
        service_1.BootstrapUtils.showBanner();
        await new service_1.BootstrapService(this.config.root).start(flags);
    }
}
exports.default = Start;
Start.description = 'Single command that aggregates config, compose and run in one liner! ';
Start.examples = [`$ symbol-bootstrap start`, `$ symbol-bootstrap start -p bootstrap`, `$ symbol-bootstrap start -p testnet -a dual`];
Start.flags = Object.assign(Object.assign(Object.assign(Object.assign({}, compose_1.default.flags), run_1.default.flags), clean_1.default.flags), config_1.default.flags);
