import { ConfigParams, ConfigResult } from './ConfigService';
import { ComposeParams } from './ComposeService';
import { RunParams } from './RunService';
export declare type StartParams = ConfigParams & ComposeParams & RunParams;
export declare class BootstrapService {
    private readonly root;
    constructor(root: string);
    config(config?: ConfigParams): Promise<ConfigResult>;
    compose(config?: ComposeParams): Promise<void>;
    run(config?: RunParams): Promise<void>;
    start(config: StartParams): Promise<ConfigResult>;
    stop(config?: RunParams): Promise<void>;
}
