"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BootstrapService = void 0;
const ConfigService_1 = require("./ConfigService");
const ComposeService_1 = require("./ComposeService");
const RunService_1 = require("./RunService");
const BootstrapUtils_1 = require("./BootstrapUtils");
class BootstrapService {
    constructor(root) {
        this.root = root;
        //HOW TO RESOLVE THE ROOT FOLDER WHEN NOT USING OCLIF????
    }
    async config(config = ConfigService_1.ConfigService.defaultParams) {
        return new ConfigService_1.ConfigService(this.root, config).run();
    }
    async compose(config = ComposeService_1.ComposeService.defaultParams) {
        await new ComposeService_1.ComposeService(this.root, config).run();
    }
    async run(config = RunService_1.RunService.defaultParams) {
        await new RunService_1.RunService(config).run();
    }
    async start(config) {
        if (config.reset) {
            BootstrapUtils_1.BootstrapUtils.deleteFolder(config.target);
        }
        const configResult = await new ConfigService_1.ConfigService(this.root, config).run();
        await new ComposeService_1.ComposeService(this.root, config).run(configResult.presetData);
        await new RunService_1.RunService(config).run();
        return configResult;
    }
    async stop(config = RunService_1.RunService.defaultParams) {
        await new RunService_1.RunService(config).stop();
    }
}
exports.BootstrapService = BootstrapService;
